#include "mainwidget.h"
#include "ui_mainwidget.h"
#include "../CustomWidgets/qimagewidget.h"

MainWidget::MainWidget(QWidget *parent) :
  QWidget(parent),
  ui(new Ui::MainWidget)
{
  ui->setupUi(this);
  //Создаем объект пользовательского виджета QImageWidget
  QImageWidget* image = new QImageWidget();
  //добавляем виджет в компановщик
  ui->verticalLayout->addWidget(image);
  //соединяем сигнал изменения положения слайдера с выставлением размера рамки
  connect(ui->horizontalSlider, SIGNAL(valueChanged(int)),
          image, SLOT(setMargin(int)));
}

MainWidget::~MainWidget()
{
  delete ui;
}
